# Search Single Domain

`GET /workspaces/:workspace/domains/search/:name`

Search a single domain availability and price

**Required Scopes:** `ZONE_READ`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The fully-qualified domain name to check availability and price for */
  name: string; // Example: "mysite.org"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The name of the domain */
  name?: string;
  /** Whether the domain is available for registration */
  available?: boolean;
  /** Whether the domain is a premium domain with higher pricing */
  premium?: boolean;
  /** Pricing details for domain operations */
  prices?: DomainPricesView;
}
```

## Type Definitions

```typescript
interface DomainPricesView {
  /** Price for restoring an expired domain */
  create?: DomainPriceView;
  /** Price for restoring an expired domain */
  transfer?: DomainPriceView;
  /** Price for restoring an expired domain */
  renew?: DomainPriceView;
  /** Price for restoring an expired domain */
  restore?: DomainPriceView;
}

interface DomainPriceView {
  /** The currency of the price */
  currency?: string;
  /** The price amount */
  price?: number;
  /** Minimum registration duration in years */
  min_duration?: number;
  /** Maximum registration duration in years */
  max_duration?: number;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/domains/search",
  "html_url": "https://app.buddy.works/my-company/-/domains/buy",
  "name": "premium-name.uno",
  "available": true,
  "premium": true,
  "prices": {
    "create": {
      "currency": "USD",
      "price": 6500,
      "min_duration": 1,
      "max_duration": 10
    },
    "transfer": {
      "currency": "USD",
      "price": 6500,
      "min_duration": 1,
      "max_duration": 1
    },
    "renew": {
      "currency": "USD",
      "price": 6500,
      "min_duration": 1,
      "max_duration": 9
    },
    "restore": {
      "currency": "USD",
      "price": 52,
      "min_duration": 1,
      "max_duration": 1
    }
  }
}
```

---
Original source: https://buddy.works/docs/api/domains/search-by-name